#pragma once

#include "entity.hpp"
#include "collidable.hpp"
#include "sprite.hpp"

class Block : public Entity, public Collidable
{
private:
    Sprite sprite_;

public:
    Block(SDL2::Renderer::SP renderer);

    void render() override;
    void update(float delta) override;
};