#include "input.hpp"

bool Input::is_key_pressed(SDL_Scancode code)
{
    return Input::keyboard_state_[code];
}

void Input::initialize()
{
    Input::keyboard_state_ = SDL_GetKeyboardState(nullptr);
}

Vector2D Input::mouse_position()
{
    int x, y;
    SDL_GetMouseState(&x, &y);

    return {static_cast<float>(x), static_cast<float>(y)};
}
