#pragma once
#include <SDL2/SDL.h>

#include <memory>

#include "vector2d.hpp"

class Input
{
protected:
    inline static Uint8 const *keyboard_state_ = nullptr; // raw pointer because SDL takes care of this

    Input() {}

public:
    static void initialize();

    static bool is_key_pressed(SDL_Scancode code);

    static Vector2D mouse_position();
};